Subject: bug#10230: 24.0.92; Warnings on emacs startup

From: Thierry Volpiatto <[email-masked]>
Date: Tue, 06 Dec 2011 23:38:47 +0100

Jan Djärv <[email-masked]> writes:

> 6 dec 2011 kl. 15:48 skrev Thierry Volpiatto:
>
>
> Hello.
>
>> 
>> Not sure I set the break points correctly, correct me if wrong.
>> 
>> 
>
> The breakpoints was correct, but I expected you to do bt when they where hit instead of n.

GNU gdb (Ubuntu/Linaro 7.3-0ubuntu2) 7.3-2011.08
Copyright (C) 2011 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-linux-gnu".
For bug reporting instructions, please see:
<http://bugs.launchpad.net/gdb-linaro/>...
Reading symbols from /home/thierry/tmp/emacs-build/src/emacs...done.
SIGINT is used by the debugger.
Are you sure you want to change it? (y or n) [answered Y; input not from terminal]
DISPLAY = :0.0
TERM = screen
Breakpoint 1 at 0x8170530: file /home/thierry/download/emacs-bzr/trunk/src/emacs.c, line 387.
Temporary breakpoint 2 at 0x8195480: file /home/thierry/download/emacs-bzr/trunk/src/sysdep.c, line 855.
(gdb) break g_log
Function "g_log" not defined.
Make breakpoint pending on future shared library load? (y or [n]) y
Breakpoint 3 (g_log) pending.
(gdb) break g_logv
Function "g_logv" not defined.
Make breakpoint pending on future shared library load? (y or [n]) y
Breakpoint 4 (g_logv) pending.
(gdb) run -Q
Starting program: /home/thierry/tmp/emacs-build/src/emacs -Q
[Thread debugging using libthread_db enabled]

Breakpoint 3, 0x0093c0a0 in g_log () from /lib/i386-linux-gnu/libglib-2.0.so.0
(gdb) bt
#0  0x0093c0a0 in g_log () from /lib/i386-linux-gnu/libglib-2.0.so.0
#1  0x008d02b2 in g_type_register_static () from /usr/lib/i386-linux-gnu/libgobject-2.0.so.0
#2  0x008d0b04 in g_type_register_static_simple () from /usr/lib/i386-linux-gnu/libgobject-2.0.so.0
#3  0x007f78a4 in g_settings_get_type () from /usr/lib/i386-linux-gnu/libgio-2.0.so.0
#4  0x007f7d03 in g_settings_new () from /usr/lib/i386-linux-gnu/libgio-2.0.so.0
#5  0x081647d4 in init_gsettings () at /home/thierry/download/emacs-bzr/trunk/src/xsettings.c:821
#6  xsettings_initialize (dpyinfo=0x8b40de0) at /home/thierry/download/emacs-bzr/trunk/src/xsettings.c:949
#7  0x08138e0c in x_term_init (display_name=143886721, xrm_option=0x0, resource_name=0x89376e4 "emacs")
    at /home/thierry/download/emacs-bzr/trunk/src/xterm.c:10368
#8  0x0813b3f9 in Fx_open_connection (display=143886721, xrm_string=140695642, must_succeed=140695682)
    at /home/thierry/download/emacs-bzr/trunk/src/xfns.c:4075
#9  0x08217f84 in Ffuncall (nargs=4, args=0xbfffd850) at /home/thierry/download/emacs-bzr/trunk/src/eval.c:2993
#10 0x08269b8a in exec_byte_code (bytestr=<optimized out>, vector=138927741, maxdepth=24,
    args_template=140695642, nargs=0, args=<optimized out>)
    at /home/thierry/download/emacs-bzr/trunk/src/bytecode.c:785
#11 0x08217818 in funcall_lambda (fun=138927661, nargs=0, arg_vector=0xbfffda58)
    at /home/thierry/download/emacs-bzr/trunk/src/eval.c:3217
#12 0x08217c75 in Ffuncall (nargs=1, args=0xbfffda50) at /home/thierry/download/emacs-bzr/trunk/src/eval.c:3035
#13 0x08269b8a in exec_byte_code (bytestr=<optimized out>, vector=137948141, maxdepth=16, args_template=0,
    nargs=0, args=<optimized out>) at /home/thierry/download/emacs-bzr/trunk/src/bytecode.c:785
#14 0x08217688 in funcall_lambda (fun=<optimized out>, nargs=0, arg_vector=0xbfffdc68)
    at /home/thierry/download/emacs-bzr/trunk/src/eval.c:3151
#15 0x08217c75 in Ffuncall (nargs=1, args=0xbfffdc60) at /home/thierry/download/emacs-bzr/trunk/src/eval.c:3035
#16 0x08217095 in eval_sub (form=146233734) at /home/thierry/download/emacs-bzr/trunk/src/eval.c:2306
#17 0x0821bb4d in internal_lisp_condition_case (var=141590090, bodyform=146233734, handlers=146233830)
    at /home/thierry/download/emacs-bzr/trunk/src/eval.c:1453
#18 0x08268ebe in exec_byte_code (bytestr=<optimized out>, vector=137950661, maxdepth=72, args_template=0,
    nargs=0, args=<optimized out>) at /home/thierry/download/emacs-bzr/trunk/src/bytecode.c:981
#19 0x08217688 in funcall_lambda (fun=<optimized out>, nargs=0, arg_vector=0xbfffe110)
    at /home/thierry/download/emacs-bzr/trunk/src/eval.c:3151
#20 0x08217c75 in Ffuncall (nargs=1, args=0xbfffe108) at /home/thierry/download/emacs-bzr/trunk/src/eval.c:3035
#21 0x08269b8a in exec_byte_code (bytestr=<optimized out>, vector=137945813, maxdepth=32, args_template=0,
    nargs=0, args=<optimized out>) at /home/thierry/download/emacs-bzr/trunk/src/bytecode.c:785
#22 0x08217688 in funcall_lambda (fun=<optimized out>, nargs=0, arg_vector=0xbfffe260)
    at /home/thierry/download/emacs-bzr/trunk/src/eval.c:3151
#23 0x082164e7 in apply_lambda (fun=<optimized out>, args=140695642)
    at /home/thierry/download/emacs-bzr/trunk/src/eval.c:3094
#24 0x082168fa in eval_sub (form=141062406) at /home/thierry/download/emacs-bzr/trunk/src/eval.c:2398
#25 0x0821b0a5 in Feval (form=141062406, lexical=140695642)
---Type <return> to continue, or q <return> to quit---
    at /home/thierry/download/emacs-bzr/trunk/src/eval.c:2188
#26 0x081747cd in top_level_2 () at /home/thierry/download/emacs-bzr/trunk/src/keyboard.c:1168
#27 0x082154e1 in internal_condition_case (bfun=0x81747a0 <top_level_2>, handlers=140742282,
    hfun=0x81771f0 <cmd_error>) at /home/thierry/download/emacs-bzr/trunk/src/eval.c:1499
#28 0x08174e97 in top_level_1 (ignore=140695642) at /home/thierry/download/emacs-bzr/trunk/src/keyboard.c:1176
#29 0x082153ae in internal_catch (tag=140738714, func=0x8174e00 <top_level_1>, arg=140695642)
    at /home/thierry/download/emacs-bzr/trunk/src/eval.c:1256
#30 0x08176aed in command_loop () at /home/thierry/download/emacs-bzr/trunk/src/keyboard.c:1131
#31 recursive_edit_1 () at /home/thierry/download/emacs-bzr/trunk/src/keyboard.c:758
#32 0x08176f03 in Frecursive_edit () at /home/thierry/download/emacs-bzr/trunk/src/keyboard.c:822
#33 0x08054467 in main (argc=3, argv=Cannot access memory at address 0xc
) at /home/thierry/download/emacs-bzr/trunk/src/emacs.c:1709

Lisp Backtrace:
"x-open-connection" (0xbfffd858)
"x-initialize-window-system" (0xbfffda58)
0x838eb98 PVEC_COMPILED
"funcall" (0xbfffdc60)
"command-line" (0xbfffe110)
"normal-top-level" (0xbfffe260)

> But I guess dbus is the suspect.

-- 
  Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997